# Get Image Repository - GetRepo

## Overview

Get Image Repository






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetRepo`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, and the sub-account must be filled in. Please refer to the [GetProjectList interface](api/summary/get_project_list). |No|
| **Type** | string | Private private repository, Public public repository, Default is public |No|
| **Offset** | int | Offset, default 0 |No|
| **Limit** | int | Quantity, default is 20 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TotalCount** | int | Total number of repositories |**Yes**|
| **RepoSet** | array[[*RepoSet*](#reposet)] | Image Repository List |**Yes**|

#### Data Model


#### RepoSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RepoName** | string | Image Repository Name |**Yes**|
| **CreateTime** | string | Creation Time of the Warehouse |**Yes**|
| **UpdateTime** | string | Warehouse Update Time |**Yes**|
| **Description** | string | Image Repository Description |**Yes**|
| **IsShared** | string | Image repository type, false for private; true for public |**Yes**|
| **IsOutSide** | string | Can the image repository be accessed from the internet, can be set to true, cannot be set to false |**Yes**|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=GetRepo
&ProjectId=DPQzQxpe
&Type=EzVxntiX
&Offset=1
&Limit=3
&ProjectId=uhpPXDet
```

### Response Example
    
```json
{
  "Action": "GetRepoResponse",
  "RepoSet": [
    "ntmEsbYx",
    "ORXeSVYD",
    "NLnhyWGk",
    "RjXuIDDg",
    "qrDktRNL",
    "aVhDFvep",
    "JvxMmIMA",
    "BlemVnAI",
    "uekjGZaL"
  ],
  "RetCode": 0,
  "TotalCount": 2
}
```





